.embed-responsive {
    position: relative;
    display: block;
    width: 100%;
    padding: 0;
    overflow: hidden;

    &::before {
        display: block;
        content: "";
    }

    .embed_responsive_item,
    iframe,
    embed,
    object,
    video {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 0;
    }
}

.embed-responsive_21by9 {
    &::before {
        padding-top: percentage(9 / 21);
    }
}

.embed-responsive_16by9 {
    &::before {
        padding-top: percentage(9 / 16);
    }
}

.embed-responsive_4by3 {
    &::before {
        padding-top: percentage(3 / 4);
    }
}

.embed-responsive_1by1 {
    &::before {
        padding-top: percentage(1 / 1);
    }
}

.img-fluid {
    height: auto;
    display: block;
    max-width: 100%;
}

.img-cover {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center center;
}

.img-contain {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;
}

.ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.hide {
    opacity: 0 !important;
    display: none !important;
    visibility: hidden !important;
}

// Visually hidden

.visually-hidden,
.visually-hidden-focusable:not(:focus):not(:focus-within) {
    @include visually-hidden();
}

.hidden {
    opacity: 0;
    visibility: hidden;
}

// Alignment

.text-left      { text-align: left !important; }
.text-center    { text-align: center !important; }
.text-right     { text-align: right !important; }
.text-justify   { text-align: justify !important; }
.text-nowrap    { white-space: nowrap !important; }


// Transformation

.text-lowercase  { text-transform: lowercase !important; }
.text-uppercase  { text-transform: uppercase !important; }
.text-capitalize { text-transform: capitalize !important; }

.mb-0 			 { margin-bottom: 0 !important; }
.mb-1            { margin-bottom: rem(16) !important; }
.mb-4            { margin-bottom: rem(4) !important; }
.mb-8            { margin-bottom: rem(8) !important; }
.mb-10 			 { margin-bottom: rem(10) !important; }
.mb-12 			 { margin-bottom: rem(12) !important; }
.mb-16           { margin-bottom: rem(16) !important; }
.mb-20 			 { margin-bottom: rem(20) !important; }
.mb-24           { margin-bottom: rem(24) !important; }
.mb-30 			 { margin-bottom: rem(30) !important; }
.mb-32           { margin-bottom: rem(32) !important; }
.mb-40 			 { margin-bottom: rem(40) !important; }
.mb-48           { margin-bottom: rem(48) !important; }
.mb-50 			 { margin-bottom: rem(50) !important; }
.mb-60 			 { margin-bottom: rem(60) !important; }

.mb-md-12 {
    @include media-breakpoint-up(md) {
        margin-bottom: rem(12) !important;
    }
}

.mb-md-24 {
    @include media-breakpoint-up(md) {
        margin-bottom: rem(24) !important;
    }
}

.mb-xl-12 {
    @include media-breakpoint-up(xl) {
        margin-bottom: rem(12) !important;
    }
}

.mb-xl-32 {
    @include media-breakpoint-up(xl) {
        margin-bottom: rem(32) !important;
    }
}

.mt-16 {
    margin-top: rem(16);
}

.mt-4 {
    margin-top: rem(4) !important;
}

.mt-40 {
    margin-top: rem(40) !important;
}

.pt-40 {
    padding-top: rem(10) !important;
}

.p-0 {
    padding: 0 !important;
}


.d-flex { display: flex;}
.align-center { align-items: center;}
.align-start { align-items: flex-start;}
.align-end { align-items: flex-end;}
.justify-content-between { justify-content: space-between };
.justify-content-start { justify-content: flex-start };
.justify-content-end { justify-content: flex-end };
.justify-content-center { justify-content: center };

.flex-wrap {
    flex-wrap: wrap;
}

.flex-column {
    flex-direction: column;
}

.flex-row {
    flex-direction: row;
}

.row-gap-8 {
    row-gap: rem(8);
}

.row-gap-12 {
    row-gap: rem(12);
}

.row-gap-16 {
    row-gap: rem(16);
}

.row-gap-20 {
    row-gap: rem(20);
}

.row-gap-24 {
    row-gap: rem(24);
}

.row-gap-32 {
    row-gap: rem(32);
}

.column-gap-8 {
    column-gap: rem(8);
}

.column-gap-12 {
    column-gap: rem(12);
}

.column-gap-16 {
    column-gap: rem(16);
}

.column-gap-20 {
    column-gap: rem(20);
}

.column-gap-24 {
    column-gap: rem(24);
}

.column-gap-32 {
    column-gap: rem(32);
}


.row-gap-md-16 {

    @include media-breakpoint-up(md) {
        row-gap: rem(16) !important;
    }
}

.row-gap-md-60 {

    @include media-breakpoint-up(md) {
        row-gap: rem(60) !important;
    }
}

.column-gap-md-16 {

    @include media-breakpoint-up(md) {
        column-gap: rem(16) !important;
    }
}


.z-index-10 {
    z-index: 10;
}
.z-index-50 {
    z-index: 50;
}
.z-index-100 {
    z-index: 100;
}

.hide-sm-only {

    @media (max-width: 767.99px) {
        display: none;
    }
}


.h-100 {
    height: 100%;
}

.w-100 {
    width: 100%;
}

.color-orange {
    color: var(--orange) !important;
}

.position-relative {
    position: relative;
}

.font-size-10 {
    font-size: rem(10) !important;
}

.font-size-12 {
    font-size: rem(12);
    line-height: rem(18);
}

.font-size-14 {
    font-size: rem(14);
    line-height: rem(20);
}

.font-size-16 {
    font-size: rem(16);
    line-height: rem(22);
}

.fw-500 {
    font-weight: 500;
}
.fw-600 {
    font-weight: 600;
}
.fw-700 {
    font-weight: 700;
}

.row-12 {
    margin-left: rem(-6) !important;
    margin-right: rem(-6) !important;

    > * {
        padding-left: rem(6) !important;
        padding-right: rem(6) !important;
    }
}

.overflow-hidden {
    overflow: hidden !important;
}
